Bug 542222 - Review Request: gradle - Groovy based build system
Summary: Review Request: gradle - Groovy based build system
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
low
medium
Target Milestone: ---
Assignee: Marek Mahut
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: F13FeatureIDEA
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-11-28 22:35 UTC by Lubomir Rintel
Modified: 2012-08-16 20:38 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-02-15 11:41:27 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mmahut: fedora-review+
huzaifas: fedora-cvs+


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Bugzilla 809950 None None None Never

Description Lubomir Rintel 2009-11-28 22:35:18 UTC
SPEC: http://v3.sk/~lkundrak/SPECS/gradle.spec
SRPM: http://v3.sk/~lkundrak/SRPMS/gradle-0.9-0.1.20091127git.fc12.src.rpm

Description:

Open API definition for gradle. It provides a simple versioned way to
interact with gradle. The open API jar is all that is needed to
develop/distribute a plugin. It provides some static functions that
dynamically load gradle from a directory you specify to do things like
create the UI or execute gradle commands directly (and I think some gradle
debugger information may soon be accessible there). All you need is the
gradle home directory and the open API jar.

Comment 1 Lubomir Rintel 2009-11-28 22:36:23 UTC
RPMlint silent.

Note that I did not package gradle itself. The package only generates open-api subpackage.

Scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1835682

Comment 2 Marek Mahut 2010-02-15 10:21:24 UTC
- source files are from upsteam git
- package meets naming and version guidelines
- specfile is properly named, is cleanly written and uses macros consistently
- builds fine for rawhide
- dist tag is present and build root is correct
- licensing is ok

Approved.

Comment 3 Lubomir Rintel 2010-02-15 11:11:53 UTC
New Package CVS Request
=======================
Package Name: gradle
Short Description: Groovy-based build system
Owners: lkundrak
Branches: F-11 F-12 EL-5

Comment 4 Huzaifa S. Sidhpurwala 2010-02-15 11:19:03 UTC
cvs done

Comment 5 Lubomir Rintel 2010-02-15 11:41:27 UTC
Imported and built.


Note You need to log in before you can comment on or make changes to this bug.